> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Sponsorships Next

> Returns donor details, program details, and other related information



## OpenAPI

````yaml post /admin/sponsorships/donor
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/sponsorships/donor:
    post:
      tags:
        - Sponsorships
      summary: Post Sponsorships Next
      description: Returns donor details, program details, and other related information
      operationId: d99a3e5365a3eb28fe7fb417f957becf
      requestBody:
        description: ID and client ID to fetch details for
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                  example: '1'
                donors:
                  type: integer
                  example: 1
                entities:
                  type: integer
                  example: 1
                frequency:
                  type: string
                  example: '1'
                id:
                  description: donor id
                  type: integer
                  example: 1
                method:
                  type: string
                  example: '1'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  name:
                    type: string
                    example: John Doe
                  dname:
                    type: string
                    example: John Doe
                  donor:
                    type: object
                  vars:
                    type: object
                  id:
                    type: integer
                    format: int64
                    example: 1
                  dntns:
                    type: object
                  programs:
                    type: array
                    items:
                      type: string
                  email_template:
                    type: object
                  program:
                    type: object
                  hysform:
                    type: object
                type: object
        '400':
          description: Recipient has no program connected
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: That Recipient has no program connected to it.'
                type: object
        '404':
          description: Donor not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Donor Not Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````